#
# spec file for package python-tenacity
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-tenacity
Version:        3.7.1
Release:        1.3
Summary:        Retry code until it succeeeds
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jd/tenacity
Source:         https://pypi.io/packages/source/t/tenacity/tenacity-%{version}.tar.gz
BuildRequires:  python-debtcollector
BuildRequires:  python-devel
BuildRequires:  python-futures >= 3.0
BuildRequires:  python-monotonic >= 0.6
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.7.0
Requires:       python-debtcollector
Requires:       python-futures >= 3.0
Requires:       python-monotonic >= 0.6
Requires:       python-six >= 1.7.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Tenacity is an Apache 2.0 licensed general-purpose retrying library, written in
Python, to simplify the task of adding retry behavior to just about anything.
It originates from a fork of `Retrying`_
Features
--------
- Generic Decorator API
- Specify stop condition (i.e. limit by number of attempts)
- Specify wait condition (i.e. exponential backoff sleeping between attempts)
- Customize retrying on Exceptions
- Customize retrying on expected returned result

%prep
%setup -q -n tenacity-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Feb 10 2017 tbechtold@suse.com
- update to 3.7.1:
  * Fix pep8 errors
  * Correctly set the exception if we TryAgain for ever
* Sun Dec 18 2016 dmueller@suse.com
- update to 3.6.0:
  * Retry on coroutines
  * Run flake8 only with latest python
  * Deduplicate retry decorator logic
  * Extract controller IOs in subclass
  * Allow to combine stop conditions
  * Add SayThanks
  * retry: implement bitwise operators on retry strategies
  * retry: add retry_all
* Fri Dec  2 2016 dmueller@suse.com
- update to 3.4.0:
  * Deprecate wait_jitter for wait_random
  * Align tox and travis settings
  * Fix README typo
  * Bump hacking to 0.12
  * Fix README.rst wrong description
  * This is using floating point seconds (not milliseconds)
  * Some small docstring updates
  * Use py3.x compat print in README.rst
  * Fix typo in retry_if_exception example
* Wed Nov  9 2016 dmueller@suse.com
- update to 3.3.0:
  * Implement '+' operator for wait strategies
  * Rename `_retrying` attribute to `retry` and document it
  * Store retrying object as an attribute of retried function
  * Make sure statistics are thread locals
* Mon Sep 26 2016 tbechtold@suse.com
- Initial packaging (version 3.1.1)
